| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Gaudi::Details::Property::UpdateHandler Struct Reference

`#include <GaudiKernel/Property.h>`

Inheritance diagram for Gaudi::Details::Property::UpdateHandler:
[legend]
Collaboration diagram for Gaudi::Details::Property::UpdateHandler:
[legend]

## Public Member Functions
void | useUpdateHandler (PropertyBase &p)
void | setUpdateHandler (std::function< void(PropertyBase &)> fun)
std::function< void(PropertyBase &)> | getUpdateHandler () const
Public Member Functions inherited from Gaudi::Details::Property::NoHandler
void | useReadHandler (const PropertyBase &) const
void | setReadHandler (std::function< void(PropertyBase &)>)
std::function< void(PropertyBase &)> | getReadHandler () const
void | useUpdateHandler (const PropertyBase &) const
void | setUpdateHandler (std::function< void(PropertyBase &)>)
std::function< void(PropertyBase &)> | getUpdateHandler () const

## Public Attributes
std::function< void(PropertyBase &)> | m_updateCallBack

## Detailed Description

Definition at line 276 of file Property.h.

## Member Function Documentation

std::function<void( PropertyBase& )> Gaudi::Details::Property::UpdateHandler::getUpdateHandler | ( |  | ) | const
| inline

Definition at line 289 of file Property.h.

289 { return m_updateCallBack; }
Gaudi::Details::Property::UpdateHandler::m_updateCallBack
std::function< void(PropertyBase &)> m_updateCallBack
Definition: Property.h:277

void Gaudi::Details::Property::UpdateHandler::setUpdateHandler | ( | std::function< void(PropertyBase &)> | fun | ) |
| inline

Definition at line 288 of file Property.h.

288 { m_updateCallBack = std::move( fun ); }
Gaudi::Details::Property::UpdateHandler::m_updateCallBack
std::function< void(PropertyBase &)> m_updateCallBack
Definition: Property.h:277
std::move
T move(T...args)

void Gaudi::Details::Property::UpdateHandler::useUpdateHandler | ( | PropertyBase & | p | ) |
| inline

Definition at line 278 of file Property.h.

279 {
280 if ( m_updateCallBack ) {
281 try {
282 SwapCall{m_updateCallBack}( p );
283 } catch ( const std::exception& x ) {
284 throw std::invalid_argument( "failure in update handler of '" + p.name() + "': " + x.what() );
285 }
286 }
287 }
Gaudi::Details::Property::UpdateHandler::m_updateCallBack
std::function< void(PropertyBase &)> m_updateCallBack
Definition: Property.h:277
std::exception::what
T what(T...args)
std::exception
STL class.
std::invalid_argument
STL class.

## Member Data Documentation

std::function<void( PropertyBase& )> Gaudi::Details::Property::UpdateHandler::m_updateCallBack

Definition at line 277 of file Property.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Property.h